# module Markdown::Renderer

## Direct including types

- Markdown::HTMLRenderer

## Defined in:

## Instance Method Summary

- #begin_bold
- #begin_code(language)
- #begin_header(level)
- #begin_inline_code
- #begin_italic
- #begin_link(url)
- #begin_list_item
- #begin_ordered_list
- #begin_paragraph
- #begin_quote
- #begin_unordered_list
- #end_bold
- #end_code
- #end_header(level)
- #end_inline_code
- #end_italic
- #end_link
- #end_list_item
- #end_ordered_list
- #end_paragraph
- #end_quote
- #end_unordered_list
- #horizontal_rule
- #image(url, alt)
- #text(text)

## Instance Method Detail

abstract def begin_bold #
abstract def begin_code(language) #
abstract def begin_header(level) #
abstract def begin_inline_code #
abstract def begin_italic #
abstract def begin_link(url) #
abstract def begin_list_item #
abstract def begin_ordered_list #
abstract def begin_paragraph #
abstract def begin_quote #
abstract def begin_unordered_list #
abstract def end_bold #
abstract def end_code #
abstract def end_header(level) #
abstract def end_inline_code #
abstract def end_italic #
abstract def end_link #
abstract def end_list_item #
abstract def end_ordered_list #
abstract def end_paragraph #
abstract def end_quote #
abstract def end_unordered_list #
abstract def horizontal_rule #
abstract def image(url, alt) #
abstract def text(text) #